import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type UserDocument = User & Document;

@Schema()
export class User {
  @Prop({
    required: true,
    index: true,
    type: Number,
  })
  vatsimId: number;

  @Prop({
    required: true,
    type: String,
  })
  apiCode: string;

  @Prop({
    type: Boolean,
    default: false,
  })
  systemAdminAccess: boolean;

  @Prop({
    type: [String],
    default: [],
  })
  airportAdminAccess: string[];

  @Prop({
    type: String,
  })
  fullName: string;
}

export const UserSchema = SchemaFactory.createForClass(User);
